searchNodes=[{"doc":"Parses Taskwarrior data","ref":"Taskwarrior.html","title":"Taskwarrior","type":"module"},{"doc":"Parses Taskwarrior JSON data and returns a list of Taskwarrior.Task items This function makes assumption that the JSON that is provided originates from Taskwarrior&#39;s data exporting command: task export. This allows us to make certain assumptions, such as the JSON being valid, and that dates (and other details) are formatted in a specific way. User Defined Attributes (UDA) To read in UDAs, provide an opts keyword list as the second parameter, with the opts[:udas] key populated with an &quot;UDA list&quot;. For UDAs of numeric, string, and duration types, just provide the name of the UDA in the form of an atom, matching the name of the UDA (e.g. :foobar). Note that duration UDAs will not be parsed: the duration string will simply be read and stored. For UDAs with the date type, provide these as keyword list tuples with the second element being :date (e.g. {:foobar, :date}). This is necessary to indicate that the date should be parsed into a native date struct (otherwise it will simply be read as a string). Examples iex&gt; Taskwarrior.from_json(json_data) [%Taskwarrior.Task{...}, ...] iex&gt; Taskwarrior.from_json(json_data, udas: [:foobar, :baz]) [%Taskwarrior.Task{...}, ...] iex&gt; Taskwarrior.from_json(json_data, udas: [:foobar, :baz, quux: :date]) [%Taskwarrior.Task{...}, ...]","ref":"Taskwarrior.html#from_json/2","title":"Taskwarrior.from_json/2","type":"function"},{"doc":"A representation of a Taskwarrior task The struct field names are, to the degree that it&#39;s possible, following the names of the fields that are found in JSON exports from Taskwarrior&#39;s task export. Notes about the structs: Some fields are not always set. Examples would be a task having no project, or end not being set due to the task not having the status of completed. In these cases, the value will be set to nil. The Taskwarrior.Task structs do not have all of the fields that Taskwarrior tasks can possibly have. This is primarily due to functionality not being implemented yet.","ref":"Taskwarrior.Task.html","title":"Taskwarrior.Task","type":"module"},{"doc":"Builds a struct from a JSON-decoded Taskwarrior task The struct created by this function mostly consist of unmodified data from the exported Taskwarrior task. Note: The dates are parsed as DateTime structs with the timezone being set to UTC, which is how Taskwarrior stores its time values. Currently there is no way to have the values be converted to an alternative timezone. User Defined Attributes (UDA) The opts[:udas] key needs to be populated with an &quot;UDA list&quot;. These are the types of elements allowed in the list: :uda_name - UDAs of the types numeric, duration, and string. Needs to match the UDA name in the JSON data. {:uda_name, :date} - UDAs of the date type need to be parsed, therefore they need to be indicated with this shape. Examples iex&gt; Taskwarrior.Task.build(json_task) %Taskwarrior.Task{...} iex&gt; Taskwarrior.Task.build(json_task, udas: [:foobar, :baz]) %Taskwarrior.Task{...} iex&gt; Taskwarrior.Task.build(json_task, udas: [:foobar, :baz, quux: :date]) %Taskwarrior.Task{...}","ref":"Taskwarrior.Task.html#build/2","title":"Taskwarrior.Task.build/2","type":"function"}]